Last Comment Bug 694047 - Turn off the locale picker
: Turn off the locale picker
Status: VERIFIED FIXED
[qa!]
: verified-aurora
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 9
Assigned To: Wesley Johnston (:wesj)
:
Mentors:
Depends on:
Blocks: 689706 694986
  Show dependency treegraph
 
Reported: 2011-10-12 09:44 PDT by Wesley Johnston (:wesj)
Modified: 2013-12-10 10:00 PST (History)
7 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1 (8.98 KB, patch)
2011-10-17 09:34 PDT, Wesley Johnston (:wesj)
mark.finkle: review+
cww: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Wesley Johnston (:wesj) 2011-10-12 09:44:36 PDT
Mostly needed on Aurora. The locale picker isn't ready for shipping. We should turn it off for 9 and just use our old menulist UI in prefs. We'll also be able to turn some stuff off in BrowserCLH.js
Comment 1 Matt Brubeck (:mbrubeck) 2011-10-17 08:12:53 PDT
Nominating for tracking-firefox9.  This is a new feature in update 9 that we'd like to disable on Aurora because it's not ready.

I think we might also want to disable this on trunk until more of the bugs are fixed, since fixing locale picker bugs is currently lower priority than working on the native front-end.
Comment 2 Wesley Johnston (:wesj) 2011-10-17 09:34:41 PDT
Created attachment 567477 [details] [diff] [review]
Patch v1

This reverts the preferences UI, and also disables the locale picker from appearing ever on startup. I'm not sure if this is the exact way we want to do this or not. I could keep more existing code in and make it easier to re-enable this later if we want, or alternatively remove more code.
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-17 10:39:56 PDT
Comment on attachment 567477 [details] [diff] [review]
Patch v1

Let's start with this.

nit: Don't add the blank lines with trailing spaces in preferences.js (there are a few of them)
Comment 5 Marco Bonardo [::mak] 2011-10-19 03:13:32 PDT
https://hg.mozilla.org/mozilla-central/rev/a572356b7927
Comment 6 Matt Brubeck (:mbrubeck) 2011-10-19 09:53:53 PDT
Comment on attachment 567477 [details] [diff] [review]
Patch v1

Requesting approval for Aurora 9.  This patch backs out a feature that was added in update 9 but that we don't think is ready to ship.

The feature is already backed out on trunk; we will want to let it bake there a couple of days for before landing the backout on Aurora to make sure there are no problems.

The patch is mobile-only.  It flips a pref to turn off the locale picker, and also backs out some code changes that depend on it.  The patch is slightly risky just because we might have missed some dependent changes; testing on the nightly channel will help us make sure we didn't miss anything.
Comment 7 Andreea Pod 2011-10-21 08:20:25 PDT
Locale picker is disabled on Fennec 10:

Mozilla /5.0 (Android;Linux armv7l;rv:10.0a1) Gecko/20111021 Firefox/10.0a1 Fennec/10.0a1 

but it's still enable on latest Fennec 9. Can I mark this bug as verified fixed or I should wait until it is disabled on Aurora also?
Comment 8 Aaron Train [:aaronmt] 2011-10-21 08:35:15 PDT
(In reply to Andreea Pod from comment #7)
> Locale picker is disabled on Fennec 10:
> 
> Mozilla /5.0 (Android;Linux armv7l;rv:10.0a1) Gecko/20111021 Firefox/10.0a1
> Fennec/10.0a1 
> 
> but it's still enable on latest Fennec 9. Can I mark this bug as verified
> fixed or I should wait until it is disabled on Aurora also?

Let's verify the same change and wait until it lands on Aurora.
Comment 9 Matt Brubeck (:mbrubeck) 2011-10-24 10:39:31 PDT
I'll push this, after rebasing and testing it on mozilla-aurora.
Comment 10 Matt Brubeck (:mbrubeck) 2011-10-24 11:24:01 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/97645f2bcf5d
Comment 11 Camelia Urian 2011-10-25 06:18:29 PDT
Build ID: Mozilla/5.0 (Android; Linux armv7l; rv:9.0a2) Gecko/20111025 Firefox/9.0a2 Fennec/9.0a2
Device:  HTC Desire Z
OS: Android 2.3

Locale picker is disabled on Fennec 9

Note You need to log in before you can comment on or make changes to this bug.